New Posts New Posts RSS Feed: Installation issue for DevForce 3.7 on VS2010
  FAQ FAQ  Forum Search   Calendar   Register Register  Login Login

Forum LockedInstallation issue for DevForce 3.7 on VS2010

 Post Reply Post Reply
Author
DataMan View Drop Down
Groupie
Groupie
Avatar

Joined: 26-Jul-2007
Location: Canada
Posts: 52
Post Options Post Options   Quote DataMan Quote  Post ReplyReply Direct Link To This Post Topic: Installation issue for DevForce 3.7 on VS2010
    Posted: 04-Jun-2010 at 9:13am
Just tried installing it and received an error:
 
Unable to install/uninstall the Visual Studio Toolbox
 
Retreiving the com class factory for component with CLSID {1a5ac6ae-7895-478C-B422-0e994fd727d6} failed due to the following error:  80080005
 
In this transition period to VS2010 I have the following installed on my machine:
Infragistics v8.1 (Which it found the binding redirectors for)  
Infragistics 2010 (Which I'm assuming it didn't need the binding redirectors for)
Devexpress 2009.3 (found the binding redirectors for)
Devexpress 2010.1 (assuming it didn't need the redirectors for)
 
DevForce Universal (6.0.2.0)
and now devforce classic 3.7.0.0
 
I did accidently say no to adding the binding redirectors to the machine config file but that shouldn't matter should it?
 
I uninstalled/installed it a second time and got a different error message:
 
Unable to install/uninstaill the visual Studio Toolbox
The language specified is not supported by any of the installed packages.
 
I wonder if it has somehting to do with me not selecting VB.net to be installed in my VS2010 installation?
 
Thanks
 
Back to Top
DataMan View Drop Down
Groupie
Groupie
Avatar

Joined: 26-Jul-2007
Location: Canada
Posts: 52
Post Options Post Options   Quote DataMan Quote  Post ReplyReply Direct Link To This Post Posted: 04-Jun-2010 at 11:17am
I uninstalled both of the infragistics V8.1 and the Devexpress 2009.3 and then tried running the toolbox installer and still get a message:
 
See the end of this message for details on invoking
just-in-time (JIT) debugging instead of this dialog box.
************** Exception Text **************
System.IO.FileNotFoundException: The language specified is not supported by any of the installed packages.
   at EnvDTE80.Solution2.GetProjectTemplate(String TemplateName, String Language)
   at IdeaBlade.Install.ToolBoxInstaller.ToolBoxControls.Program.UninstallAndInstallControl(IList`1 pSuiteList, String pDteName)
   at IdeaBlade.Install.ToolBoxInstaller.Form1.AddButtonClickHandler(Object sender, EventArgs e)
   at System.Windows.Forms.Control.OnClick(EventArgs e)
   at System.Windows.Forms.Button.OnClick(EventArgs e)
   at System.Windows.Forms.Button.OnMouseUp(MouseEventArgs mevent)
   at System.Windows.Forms.Control.WmMouseUp(Message& m, MouseButtons button, Int32 clicks)
   at System.Windows.Forms.Control.WndProc(Message& m)
   at System.Windows.Forms.ButtonBase.WndProc(Message& m)
   at System.Windows.Forms.Button.WndProc(Message& m)
   at System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message& m)
   at System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
   at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

 
Back to Top
davidklitzke View Drop Down
IdeaBlade
IdeaBlade
Avatar

Joined: 14-Jun-2007
Posts: 715
Post Options Post Options   Quote davidklitzke Quote  Post ReplyReply Direct Link To This Post Posted: 07-Jun-2010 at 9:20am
I have seen reports of this issue once every few months.  It usually occurs when something has not been completely setup in Visual Studio.  I have never been able to reproduce the problem.  It doesn't seem to be a fatal error, and there doesn't appear to be any loss of functionality after the error.
Back to Top
mrivers View Drop Down
Newbie
Newbie
Avatar

Joined: 28-Aug-2007
Location: Franklin, TN
Posts: 2
Post Options Post Options   Quote mrivers Quote  Post ReplyReply Direct Link To This Post Posted: 26-Aug-2010 at 11:57am
I have a similar problem....I've just upgraded to VS2010, DevForce Classic v3.7.1, and Infragistics v10.2. When I run the toolox installer I can check the Infragistics v10.2 version but after selecting Add the same message as above appears. I figured I needed to run the installer because in the view designer when I go to Configure Bindings of a ControlBinding Manager - Preferences and try to select the Infragistics v10.2 control suite I get the message:
 
Unable to load suite
The 'Infragistice v10.2' control suite cannot be loaded.
Please check that this control suite has actually been installed.
 
I've definitely got the control suite installed on the machine, so I am guessing that if I can get the toolbox installer to work successfully then I'll be able to select it in the ControlBindingManager Preferences.
 
Any ideas?
 
Back to Top
DataMan View Drop Down
Groupie
Groupie
Avatar

Joined: 26-Jul-2007
Location: Canada
Posts: 52
Post Options Post Options   Quote DataMan Quote  Post ReplyReply Direct Link To This Post Posted: 26-Aug-2010 at 12:53pm

Did you install devforce and then infragistics?  If you did,  try uninstalling devforce and re-install.  If the versions don't match then it will create a binding or whatever that is called on your computer to allow a higher version of infragistics to run with a lower version of devexpress.

But I'm not the expert and could be totaly wrong :-)  But it's a pretty easy thing to try.
Back to Top
 Post Reply Post Reply

Forum Jump Forum Permissions View Drop Down